Package be.vlaanderen.mercurius.wzcmh.common.v3

# Class CertificateType

java.lang.Object
be.vlaanderen.mercurius.wzcmh.common.v3.CertificateType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class CertificateType extends Object implements Serializable
Datums van specifieke attesten

Java class for CertificateType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DementedDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="PalliativeDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ChangedDependencyDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getChangedDependencyDate()`
  Datum omstandig verslag voor wijziging indicatiestelling
  `Instant`
  `getDementedDate()`
  Datum van het gespecialiseerd diagnostisch bilan voor dementie
  `Instant`
  `getPalliativeDate()`
  Datum van het attest dat aantoont dat de gebruiker voldoet aan de voorwaarden voor de afhankelijkheidscategorie Fp
  `void`
  `setChangedDependencyDate(Instant value)`
  Sets the value of the changedDependencyDate property.
  `void`
  `setDementedDate(Instant value)`
  Sets the value of the dementedDate property.
  `void`
  `setPalliativeDate(Instant value)`
  Sets the value of the palliativeDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateType

    public CertificateType()

- ## Method Details

  - ### getDementedDate

    public Instant getDementedDate()
    Datum van het gespecialiseerd diagnostisch bilan voor dementie
    Returns:
      possible object is `String`

  - ### setDementedDate

    public void setDementedDate(Instant value)
    Sets the value of the dementedDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDementedDate()`

  - ### getPalliativeDate

    public Instant getPalliativeDate()
    Datum van het attest dat aantoont dat de gebruiker voldoet aan de voorwaarden voor de afhankelijkheidscategorie Fp
    Returns:
      possible object is `String`

  - ### setPalliativeDate

    public void setPalliativeDate(Instant value)
    Sets the value of the palliativeDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPalliativeDate()`

  - ### getChangedDependencyDate

    public Instant getChangedDependencyDate()
    Datum omstandig verslag voor wijziging indicatiestelling
    Returns:
      possible object is `String`

  - ### setChangedDependencyDate

    public void setChangedDependencyDate(Instant value)
    Sets the value of the changedDependencyDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getChangedDependencyDate()`